# index

**@twine-protocol/twine-car-utils v0.0.3** • **Docs**

***

[twine-js](/twine-js/index.md) / @twine-protocol/twine-car-utils

## @twine-protocol/twine-car-utils

This package provides utilities for converting twine data to and from CAR files.

### Interfaces

| Interface                                                             | Description             |
| --------------------------------------------------------------------- | ----------------------- |
| [Block](/twine-js/twine-protocol/twine-car-utils/interfaces/block.md) | A block in a CARv2 file |

### Type Aliases

| Type alias                                                                | Description  |
| ------------------------------------------------------------------------- | ------------ |
| [Reader](/twine-js/twine-protocol/twine-car-utils/type-aliases/reader.md) | A Car Reader |

### Functions

| Function                                                                               | Description                                                                       |
| -------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------- |
| [twinesToCar](/twine-js/twine-protocol/twine-car-utils/functions/twinestocar.md)       | Convert an iterable of twines to a CARv2 formatted async iterable of byte arrays. |
| [allTwines](/twine-js/twine-protocol/twine-car-utils/functions/alltwines.md)           | Get all twines in a resolver                                                      |
| [roots](/twine-js/twine-protocol/twine-car-utils/functions/roots.md)                   | Get CIDs of chains and their latest pulses                                        |
| [dumpToCar](/twine-js/twine-protocol/twine-car-utils/functions/dumptocar.md)           | Dump all resolvable chains to a CARv2 file.                                       |
| [blocksToTwines](/twine-js/twine-protocol/twine-car-utils/functions/blockstotwines.md) | Convert blocks to twines                                                          |
| [toMemoryStore](/twine-js/twine-protocol/twine-car-utils/functions/tomemorystore.md)   | Convert a CARv2 reader to a MemoryStore                                           |

### Resolver

| Class                                                                          | Description                                     |
| ------------------------------------------------------------------------------ | ----------------------------------------------- |
| [CarResolver](/twine-js/twine-protocol/twine-car-utils/classes/carresolver.md) | A Twine Resolver that reads from a CARv2 Reader |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.twine.world/twine-js/twine-protocol/twine-car-utils/index.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
